Overview | Package | Class | Tree | Deprecated | Index | Help
| J avolution v5.3 (J2SE 1.5+)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javolution.xml.sax
Interface ContentHandler

All Known Implementing Classes:
  DefaultHandler

    public interface ContentHandler

Receives notification of the logical content of a document.

It is a more efficient version of `org.xml.sax.ContentHandler` with `CharArray`/`CharSequence` instead of the `String` to avoid forcing dynamic object allocations.

Version:
  4.0, June 16, 2006
Author:
  David Megginson, Jean-Marie Dautelle

Method Summary
`void` | `characters(char[] ch, int start, int length)` Receives notification of character data.
`void` | `endDocument()` Receives notification of the end of a document.
`void` | `endElement(CharArray uri, CharArray localName, CharArray qName)` Receives notification of the end of an element.
`void` | `endPrefixMapping(CharArray prefix)` Ends the scope of a prefix-URI mapping.
`void` | `ignorableWhitespace(char[] ch, int start, int length)` Receives notification of ignorable whitespace in element content.
`void` | `processingInstruction(CharArray target, CharArray data)` Receives notification of a processing instruction.
`void` | `setDocumentLocator(org.xml.sax.Locator locator)` Receives an object for locating the origin of SAX document events.
`void` | `skippedEntity(CharArray name)` Receives notification of a skipped entity.
`void` | `startDocument()` Receives notification of the beginning of a document.
`void` | `startElement(CharArray uri, CharArray localName, CharArray qName, Attributes atts)` Receives notification of the beginning of an element.
`void` | `startPrefixMapping(CharArray prefix, CharArray uri)` Begins the scope of a prefix-URI Namespace mapping.

Method Detail

### setDocumentLocator

    void setDocumentLocator(org.xml.sax.Locator locator)

  Receives an object for locating the origin of SAX document events.

  Parameters:
    `locator` - the document locator.

### startDocument

    void startDocument()
                       throws org.xml.sax.SAXException

  Receives notification of the beginning of a document.

  Throws:
    `org.xml.sax.SAXException` - any SAX exception.

### endDocument

    void endDocument()
                     throws org.xml.sax.SAXException

  Receives notification of the end of a document.

  Throws:
    `org.xml.sax.SAXException` - any SAX exception.

### startPrefixMapping

    void startPrefixMapping(CharArray prefix,
                            CharArray uri)
                            throws org.xml.sax.SAXException

  Begins the scope of a prefix-URI Namespace mapping.

  Parameters:
    `prefix` - the Namespace prefix being declared.
    `uri` - the namespace URI the prefix is mapped to.
  Throws:
    `org.xml.sax.SAXException` - any SAX exception.

### endPrefixMapping

    void endPrefixMapping(CharArray prefix)
                          throws org.xml.sax.SAXException

  Ends the scope of a prefix-URI mapping.

  Parameters:
    `prefix` - the prefix that was being mapping.
  Throws:
    `org.xml.sax.SAXException` - any SAX exception.

### startElement

    void startElement(CharArray uri,
                      CharArray localName,
                      CharArray qName,
                      Attributes atts)
                      throws org.xml.sax.SAXException

  Receives notification of the beginning of an element.

  Parameters:
    `uri` - the namespace URI, or an empty character sequence if the element has no Namespace URI or if namespace processing is not being performed.
    `localName` - the local name (without prefix), or an empty character sequence if namespace processing is not being performed.
    `qName` - the qualified name (with prefix), or an empty character sequence if qualified names are not available.
    `atts` - the attributes attached to the element. If there are no attributes, it shall be an empty `Attributes` object.
  Throws:
    `org.xml.sax.SAXException` - any SAX exception.

### endElement

    void endElement(CharArray uri,
                    CharArray localName,
                    CharArray qName)
                    throws org.xml.sax.SAXException

  Receives notification of the end of an element.

  Parameters:
    `uri` - the namespace URI, or an empty character sequence if the element has no Namespace URI or if namespace processing is not being performed.
    `localName` - the local name (without prefix), or an empty character sequence if namespace processing is not being performed.
    `qName` - the qualified XML 1.0 name (with prefix), or an empty character sequence if qualified names are not available.
  Throws:
    `org.xml.sax.SAXException` - any SAX exception.

### characters

    void characters(char[] ch,
                    int start,
                    int length)
                    throws org.xml.sax.SAXException

  Receives notification of character data.

  Parameters:
    `ch` - the characters from the XML document.
    `start` - the start position in the array.
    `length` - the number of characters to read from the array.
  Throws:
    `org.xml.sax.SAXException` - any SAX exception.

### ignorableWhitespace

    void ignorableWhitespace(char[] ch,
                             int start,
                             int length)
                             throws org.xml.sax.SAXException

  Receives notification of ignorable whitespace in element content.

  Parameters:
    `ch` - the characters from the XML document.
    `start` - the start position in the array.
    `length` - the number of characters to read from the array.
  Throws:
    `org.xml.sax.SAXException` - any SAX exception.

### processingInstruction

    void processingInstruction(CharArray target,
                               CharArray data)
                               throws org.xml.sax.SAXException

  Receives notification of a processing instruction.

  Parameters:
    `target` - the processing instruction target.
    `data` - the processing instruction data, or null if none was supplied. The data does not include any whitespace separating it from the target.
  Throws:
    `org.xml.sax.SAXException` - any SAX exception.

### skippedEntity

    void skippedEntity(CharArray name)
                       throws org.xml.sax.SAXException

  Receives notification of a skipped entity.

  Parameters:
    `name` - the name of the skipped entity. If it is a parameter entity, the name will begin with '%', and if it is the external DTD subset, it will be the character sequence "[dtd]".
  Throws:
    `org.xml.sax.SAXException` - any SAX exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J avolution v5.3 (J2SE 1.5+)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 - 2009 Javolution.